#include <iostream>
#include <cmath>
using namespace std;
const int maks=100010;
int main()
{
    int n,brScenarija=0;
    cin>>n;
    int x[maks],y[maks],z[maks];
    for(int i=1;i<n+1;i++)
        cin>>x[i];
    for(int i=1;i<n+1;i++)
        cin>>y[i];
    for(int i=1;i<n+1;i++)
        cin>>z[i];
    for(int i=1;i<n+1;i++)
    {
        for(int j=0;j<n+1;j++)
        {
           if(y[z[i]]==x[j])
             brScenarija++;
        }
    }

    cout<<brScenarija;
}